; -------------------------------------------------------------------------------
;                              PurePOP3 test file 2
; -------------------------------------------------------------------------------
;
; List all messages at POP3 server
;
Server.s = "my.server.de"
Port.l = 110
User.s = "gnozal"
Pwd.s = "mypass"
;
If PurePOP3_OpenPOP3Connection(Server, Port, User, Pwd) = #PurePOP3_Ok
  Debug "Connected"
  ; PurePOP3_Trace(#TRUE)
  Messages = PurePOP3_CountMessages()
  Debug "You have " + Str(Messages) + " messages(s)"
  If Messages
    For i = 1 To Messages
      If PurePOP3_RetrieveMessage(i) > 0
        Debug "-- Message " + Str(i) + " information --"
        Debug PurePOP3_GetMessageInfo()
      EndIf
    Next
  EndIf
  PurePOP3_ClosePOP3Connection()
Else
  Debug PurePOP3_GetLastServerMessage()
EndIf